---
setup:
- skip:
    features:
    - "headers"
    - "allowed_warnings_regex"
- do:
    indices.create:
      index: "test1"
      body:
        settings:
          index.number_of_shards: 2
        mappings:
          properties:
            bar:
              type: "text"
              fielddata: true
              fields:
                completion:
                  type: "completion"
            baz:
              type: "text"
              fielddata: true
              fields:
                completion:
                  type: "completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- do:
    cluster.health:
      index: "test1"
      wait_for_no_relocating_shards: true
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- do:
    index:
      index: "test1"
      id: "1"
      body:
        bar: "bar"
        baz: "baz"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- do:
    index:
      index: "test1"
      id: "2"
      body:
        bar: "foo"
        baz: "foo"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- do:
    indices.refresh: {}
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- do:
    search:
      rest_total_hits_as_int: true
      index: "test1"
      body:
        suggest:
          result:
            text: "b"
            completion:
              field: "bar.completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- do:
    search:
      rest_total_hits_as_int: true
      index: "test1"
      body:
        suggest:
          result:
            text: "b"
            completion:
              field: "baz.completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- do:
    search:
      rest_total_hits_as_int: true
      body:
        sort:
        - "bar"
        - "baz"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
---
Fields - blank:
- do:
    indices.stats: {}
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields"
- gt:
    _all.total.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields"
---
Fields - one:
- do:
    indices.stats:
      fields: "bar"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- gt:
    _all.total.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.bar"
---
Fields - multi:
- do:
    indices.stats:
      fields: "bar,baz.completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- gt:
    _all.total.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.bar\\.completion"
- gt:
    _all.total.completion.fields.baz\.completion.size_in_bytes: 0
---
Fields - star:
- do:
    indices.stats:
      fields: "*"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.baz.memory_size_in_bytes: 0
- gt:
    _all.total.completion.size_in_bytes: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- gt:
    _all.total.completion.fields.baz\.completion.size_in_bytes: 0
---
Fields - pattern:
- do:
    indices.stats:
      fields: "bar*"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- gt:
    _all.total.completion.size_in_bytes: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
---
Fields - _all metric:
- do:
    indices.stats:
      fields: "bar*"
      metric: "_all"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- gt:
    _all.total.completion.size_in_bytes: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
---
Fields - fielddata metric:
- do:
    indices.stats:
      fields: "bar*"
      metric: "fielddata"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- is_false: "_all.total.completion"
---
Fields - completion metric:
- do:
    indices.stats:
      fields: "bar*"
      metric: "completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- is_false: "_all.total.fielddata"
- gt:
    _all.total.completion.size_in_bytes: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
---
Fields - multi metric:
- do:
    indices.stats:
      fields: "bar*"
      metric:
      - "completion"
      - "fielddata"
      - "search"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- gt:
    _all.total.completion.size_in_bytes: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
---
Fielddata fields - one:
- do:
    indices.stats:
      fielddata_fields: "bar"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- is_false: "_all.total.completion.fields"
---
Fielddata fields - multi:
- do:
    indices.stats:
      fielddata_fields: "bar,baz,baz.completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.baz.memory_size_in_bytes: 0
- is_false: "_all.total.completion.fields"
---
Fielddata fields - star:
- do:
    indices.stats:
      fielddata_fields: "*"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- gt:
    _all.total.fielddata.fields.baz.memory_size_in_bytes: 0
- is_false: "_all.total.completion.fields"
---
Fielddata fields - pattern:
- do:
    indices.stats:
      fielddata_fields: "*r"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- is_false: "_all.total.completion.fields"
---
Fielddata fields - all metric:
- do:
    indices.stats:
      fielddata_fields: "*r"
      metric: "_all"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- is_false: "_all.total.completion.fields"
---
Fielddata fields - one metric:
- do:
    indices.stats:
      fielddata_fields: "*r"
      metric: "fielddata"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- is_false: "_all.total.completion.fields"
---
Fielddata fields - multi metric:
- do:
    indices.stats:
      fielddata_fields: "*r"
      metric:
      - "fielddata"
      - "search"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.fielddata.fields.bar.memory_size_in_bytes: 0
- is_false: "_all.total.fielddata.fields.baz"
- is_false: "_all.total.completion.fields"
---
Completion fields - one:
- do:
    indices.stats:
      completion_fields: "bar.completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
- is_false: "_all.total.fielddata.fields"
---
Completion fields - multi:
- do:
    indices.stats:
      completion_fields: "bar.completion,baz,baz.completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- gt:
    _all.total.completion.fields.baz\.completion.size_in_bytes: 0
- is_false: "_all.total.fielddata.fields"
---
Completion fields - star:
- do:
    indices.stats:
      completion_fields: "*"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- gt:
    _all.total.completion.fields.baz\.completion.size_in_bytes: 0
- is_false: "_all.total.fielddata.fields"
---
Completion - pattern:
- do:
    indices.stats:
      completion_fields: "*r*"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
- is_false: "_all.total.fielddata.fields"
---
Completion - all metric:
- do:
    indices.stats:
      completion_fields: "*r*"
      metric: "_all"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
- is_false: "_all.total.fielddata.fields"
---
Completion - one metric:
- do:
    indices.stats:
      completion_fields: "*r*"
      metric: "completion"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
- is_false: "_all.total.fielddata.fields"
---
Completion - multi metric:
- do:
    indices.stats:
      completion_fields: "*r*"
      metric:
      - "completion"
      - "search"
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - "Use of the \\[max_size\\] rollover condition has been deprecated in favour\
      \ of the \\[max_primary_shard_size\\] condition and will be removed in a later\
      \ version"
    - "Parameter \\[confidence_interval\\] in \\[index_options\\] for dense_vector\
      \ field \\[[^\\]]+\\] is deprecated and will be removed in a future version"
- match:
    _shards.failed: 0
- gt:
    _all.total.completion.fields.bar\.completion.size_in_bytes: 0
- is_false: "_all.total.completion.fields.baz\\.completion"
- is_false: "_all.total.fielddata.fields"
